---
title: Intl.NumberFormat.prototype.format()
slug: Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat/format
tags:
  - Internationalization
  - Intl
  - JavaScript
  - Method
  - NumberFormat
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.NumberFormat.prototype.format()</code></strong> method formats a number according to the locale and formatting options of this {{jsxref("NumberFormat")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/intl-numberformat-prototype-format.html", "taller")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><code><var>numberFormat</var>.format(<var>number</var>)</code></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>number</code></dt>
 <dd>A {{jsxref("Number")}} or {{jsxref("BigInt")}} to format.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>The <code>format</code> getter function formats a number into a string according to the locale and formatting options of this {{jsxref("NumberFormat")}} object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_format">Using <code>format</code></h3>

<p>Use the <code>format</code> getter function for formatting a single currency value, here for Russia:</p>

<pre class="brush: js notranslate">var options = { style: 'currency', currency: 'RUB' };
var numberFormat = new Intl.NumberFormat('ru-RU', options);
console.log(numberFormat.format(654321.987));
// → "654 321,99 руб."
</pre>

<h3 id="Using_format_with_map">Using <code>format</code> with <code>map</code></h3>

<p>Use the <code>format</code> getter function for formatting all numbers in an array. Note that the function is bound to the {{jsxref("NumberFormat")}} from which it was obtained, so it can be passed directly to {{jsxref("Array.prototype.map")}}. This is considered a historical artefact, as part of a convention which is no longer followed for new features, but is preserved to maintain compatibility with existing programs.</p>

<pre class="brush: js notranslate">var a = [123456.789, 987654.321, 456789.123];
var numberFormat = new Intl.NumberFormat('es-ES');
var formatted = a.map(n =&gt; numberFormat.format(n));
console.log(formatted.join('; '));
// → "123.456,789; 987.654,321; 456.789,123"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-intl.numberformat.prototype.format', 'Intl.NumberFormat.prototype.format')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.NumberFormat.format")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("NumberFormat", "Intl.NumberFormat")}}</li>
 <li>{{jsxref("Number.prototype.toLocaleString()")}}</li>
</ul>
